Contents - Smart Diary v2.15

 Welcome to Smart Diary v2.20 help file!

Please read the help file to find out about the new exiting features of Smart Diary. You can also always come back to this help by pressing F1 from anywhere within the program.

Smart Diary is a really "smart" diary software that was designed to help people in the everyday task of keeping their personal information in one place. For this purpose Smart Diary not only allows a person to record the normal text (with full formatting abilities), but to also record such information as your mood, your fatigue, your health shape, your night's dream as well as the temperature, weight, menstruus and copulation parameters.
Of course, all this information is plotted on a fully adjustable graph, and can be printed at any time.
To help you visualize your moods, Smart Diary provides seven bitmaps that can be easily replaced with your own by following simple instructions at replacing faces part of the options dialog help. For your full privacy Smart Diary now implements a new security mechanism to encrypt all your sensitive data, without losing its reliability.

Please enjoy using Smart Diary and don't hesitate to contact the author at any time for any reason.
Thank you for choosing Smart Diary.
You can use the tabs to your left to navigate through this help file or choose from any of the locations below to go directly to any part of Smart Diary's help:

Main dialog
Main dialog
New entry dialog (keyboard shortcut - F2)
New entry dialog
Options dialog
Options dialog
Reminders dialog (keyboard shortcut - F3)
Reminders dialog
Planner dialog (keyboard shortcut - F4)
Planner dialog
You can also read about the author of Smart Diary, Dennis Volodomanov, by clicking on this link: about the author
Smart Diary and all related contents is Copyright © 1997-2002 by Dennis Volodomanov
send an e-mail: dennis@psunrise.com visit the WWW site: http://sdiary.psunrise.com


Main dialog - Smart Diary v2.15

 The main dialog is the starting point of the program. From here you can view your entries and graphs, add new entries, delete and search entries, go to the reminders and the planners dialogs and, of course, access all other options available in Smart Diary.
Click on any part that is not clear to you on the screenshot below to get more help:
 Records list New entry button Reminders button Graph's buttons Graphs' window Reminders list Planner list Planner button Entry text Entry data First entry Previous entry Next entry Last entry Search Delete button Entry print Print all entries Options dialog Exit Smart Diary Visit Smart Diary's WWW site Send an e-mail to the author
Records list
This list shows automatically sorted dates of your diary entries. You can press on any date in this list to see it on the screen. The graph window will update itself according to the selection of this list.
New entry button
This button takes you to the new entry dialog.
Reminders button
This button takes you to the reminders dialog.
Graph's buttons
By pressing these eight buttons you can select what data you wish to be displayed on the graph. The button's states will be remembered and used the next time you start Smart Diary.
Graphs' window
This window will show you your diary's data plotted on a graph. You can select the combination of graphs you wish to see by using the graph's buttons. You can match the corresponding graph points and diary entries by either selecting entries on the records list or using the navigation buttons.
Reminders list
This list shows your reminders automatically sorted by date.
Planner list
This list shows your planned items automatically sorted by date.
Planner button
This button takes you to the planner dialog.
Entry text
In this window you will see your diary entry text formatted exactly in the same way as you saved it.
Entry data
This set of information shows your entry mood (graphically and textually), fatigue, shape, dream, temperature, weight, copulation and menstruus.
First entry
When you press this button you will be taken to the first entry in your diary. The graph window will update accordingly.
Previous entry
When you press this button you will be taken to the previous entry in your diary. The graph window will update accordingly.
Next entry
When you press this button you will be taken to the next entry in your diary. The graph will update accordingly.
Last entry
When you press this button you will be take to the last entry in your diary. The graph will update accordingly.
Search
To search through your diary entries you must first select the checkmark next to the eye icon and then type in the text you wish to find in the window that will become available. To actually go through the matching records you must use previous entry and next entry buttons.
Delete button
Press this button to permanently delete the currently selected entry.
Entry print
Press this button to print the currently selected entry on your printer. You will prompted to select printer settings.
Print all entries
Press this button to print all entries in your diary. Please note that this might take up a lot of paper, so you will be asked to confirm this before the actual printing starts.
Options dialog
This button takes you to the options dialog.
Exit Smart Diary
This button is really self-explanatory.
Visit Smart Diary's WWW site
Press this button to start you favorite Internet browser which will take you directly to Smart Diary's WWW site.
Send an e-mail to the author
Press this button to start your favorite e-mail program with the author's e-mail already typed in and ready for you.


New entry dialog - Smart Diary v2.15

 The new entry dialog allows you to enter your diary entry data, including text, mood, fatigue, shape, dream, temperature, weight, copulation and mesntruus. You can save or discard your data at any moment. The font name and size you've used last will be remembered for the next time your enter data.
You can access this dialog from the main dialog by pressing F2 on your keyboard.
Click on any part that is not clear to you on the screenshot below to get more help:
Entry date
You can select the date of your entry if you wish to change it from the current one.
Save button
Press this button to save this entry.
Discard button
Press this button to discard any changes you made.
Font name
You can choose the font of the text. To change already typed text, first select the text and then change the font. The font you used last will be remembered for the next time.
Font size
You can change the size of the text. To change text already typed, first select the text and then change the size. The size will be remembered for the next time.
Bold
Press this to toggle bold.
Italic
Press this to toggle italic.
Underline
Press this to toggle underline.
Font color
Press this to change the text color. To change text already typed, first select the text and then press this button.
Help button
Press this button to read this text.
Entry text
This window is used to enter the text of your diary entry.
Mood
Select your mood at the time of this entry.
Fatigue
Select your fatigue at the time of this entry.
Shape
Select the shape of your health at the time of this entry.
Dream
Select the dream you had before this entry.
Weight
Enter your weight at the time of this entry.
Temperature
Enter your temperature at the time of this entry.
Menstruus
Check this box if you are having menstruus while you are making this entry.
Copulation
Check this box if had sex before this entry.


Planner dialog - Smart Diary v2.15

 The planner dialog is provided for you to keep the dates and status (done or not done) of the important (or not so important) things you have to do in the near future. You can add and delete entries.
You can access this dialog from the main dialog by pressing F4 on your keyboard.
Click on any part that is not clear to you on the screenshot below to get more help:
 Planner list Planned date Planner text Help button Add button Delete button Exit button
Planner list
This list shows automatically sorted dates and descriptions of your planned dates.
Planned date
You use this control to select the date of your planned happening. To use it, first click on the down arrow button, then choose a date (you can select months by clicking left and right arrows) and after you find a date you need simply click on it. The control will close and it will display the date you selected.
Planner text
In this control you can enter a description of the date selected in the date control. You are limited to 40 characters.
Help button
Help button is, as you can guess, to get help!
Add button
After you chose a date and entered a description you must press this button to add your entry to the list.
Delete button
If you wish to delete an entry, you must first select it from the list control (by clicking on it once) and then you press this button to permanently delete it.
Exit button
After you have finished working with this dialog, press the Exit button to return to Smart Diary's main dialog.

Once you have some entries (at least one) you can mark your entries as 'done' by clicking on them once in the planner list, then selecting a date (if you wish) and finally clicking on a special button that will appear. Please observe the next screenshot:
Actual date Mark this task as done
Actual date
Here you can select the actual date you have done your planned task, or leave as it is to have it mark today as the actual date.
Mark this task as done
After checking that the date in the 'Actual date' field is what you wish to have, press this button and the currently selected task will be updated.


Reminders dialog - Smart Diary v2.15

 The reminders dialog is provided for you to keep your important dates in order and to see them neatly organized at all times. You can add and delete entries.
You can access this dialog from the main dialog by pressing F3 on your keyboard.
Click on any part that is not clear to you on the screenshot below to get more help:
 Reminders list Reminder date Reminder text Help button Add button Delete button Exit button
Reminders list
This list shows automatically sorted dates and descriptions of your important dates.
Reminder date
You use this control to select the date of importance. To use it, first click on the down arrow button, then choose a date (you can select months by clicking left and right arrows) and after you find a date you need simply click on it. The control will close and it will display the date you selected.
Reminder text
In this control you can enter a description of the date selected in the date control. You are limited to 40 characters.
Help button
Help button is, as you can guess, to get help!
Add button
After you chose a date and entered a description you must press this button to add your entry to the list.
Delete button
If you wish to delete an entry, you must first select it from the list control (by clicking on it once) and then you press this button to permanently delete it.
Exit button
After you have finished working with this dialog, press the Exit button to return to Smart Diary's main dialog.


Options dialog - Smart Diary v2.15

 The options dialog allows you to change some of Smart Diary's options such as the names of moods, fatigues, shapes and dreams, as well as configure how many days in advance you wish your planner to start showing 'soon' and whether you wish your last diary to open up automatically when you start Smart Diary.
To change the default faces to any pictures you wish: you have to replace the corresponding files in the Smart Diary's directory. They're named according to moods from face-3.bmp to face3.bmp. The pictures you use must be in the BMP format and 50 by 50 pixels in size.
Click on any part that is not clear to you on the screenshot below to get more help:
Mood names
This allows you to modify the names of moods used in Smart Diary.
Fatigue names
This allows you to modify the names of fatigue used in Smart Diary.
Mark as 'soon'
Here you can specify the number of days that will be used to mark your reminders as 'soon'.
Open last diary at startup
If you check this button, the last diary you used will be opened the next time you start Smart Diary.
Shape names
This allows you to modify the names of shape used in Smart Diary.
Dream names
This allows you to modify the names of dreams used in Smart Diary.
Save button
Press this button to save changes you made to Smart Diary's options.
Discard button
Press this button to discard all changes you made to Smart Diary's options.
Help button
Press this button to read this text.


Change password - Smart Diary v2.15

 This dialog is provided for you to give you the ability to change the password of any diary at any time. Of course, you must have a diary open (if you don't, you'll be prompted to open one) to change the password.
Click on any part that is not clear to you on the screenshot below to get more help:
 New password Confirm new password Save change Discard change Help button
New password
You must enter your new password in this field. The password must be from 3 to 20 characters in length and is case SeNsItIvE.
Confirm new password
In this field enter the password you've typed above again. This is just to make sure it is what you wanted.
Save button
After you click this button, the change of password will be done.
Add button
If you click this button, everything will stay as before. The password will not be changed.
Help button
Help button is, as you can guess, to get help!


About the author - Smart Diary v2.10

 The author of Smart Diary is Dennis Volodomanov, co-owner of Programming Sunrise Ltd.
To keep information up-to-date, I've decided not to write anything about myself in this help file, but instead you can visit my personal WWW site at: http://dennis.psunrise.com and find anything you might consider interesting there. I will just mention that I've acquired two Microsoft certifications:
MCP (Microsoft Certified Professional)

and MCSD (Microsoft Certified Solution Developer)

This made me quite happy in the last year. Of course, I also have some Brainbench certifications. Well, I think that's quite enough bragging for one help file, the rest you will find at my site.
Enjoy using Smart Diary and don't hesitate to contact me at any time about anything. Sometimes it takes a while for me to answer, but that's simply because I'm too busy with other things. I always read all mail I receive and I always answer all letters that need answering.


Smart Diary on the WWW - Smart Diary v2.15

 To make Smart Diary a really useful product, please visit the WWW site. There you will find new information and latest versions and updates, forums for you to interact with each other and the author, polls to vote on different topics, additional faces and much more.
Below are useful WWW links:

 Smart Diary's home site: click here
Smart Diary's forums: click here


Smart Diary (tm) Features Chart

Features Chart for Smart Diary™

The following chart will help you choose which Smart Diary™ edition you really need.

 | Smart Diary™ v2.21 (free) | Smart Diary™ Suite v3.00 Basic ($29.95) | Smart Diary™ Suite v3.00 Fibromyalgia ($38.45)
Diary
Parameters | 8 partially customizable | 15 fully customizable 2 partially customizable | 15 fully customizable 2 partially customizable 26 specific
Body pain map | No | No | Yes
Medication tracker | No | No | Yes
Text formatting | Limited | Full | Full
Search | Limited | Full, recursive | Full, recursive
Entry date customizable | Yes | Yes | Yes
Entry time customizable | No | Yes | Yes
Entry description | No | Yes | Yes
Built-in planner window | No | Yes | Yes
Voice entries recording | No | Yes | Yes
Diary calculator | No | Yes | Yes
Modify | No | Yes | Yes
Print | Yes | Yes | Yes
Reminder
Any number of days to check before the important date | Yes | Yes | Yes
Popup on start (if configured) | No | Yes | Yes
Audible alarm on popup | No | Beep, WAVE file | Beep, WAVE file
Show current reminders | No | Yes | Yes
Yearly | Yes | Yes | Yes
Monthly | No | Yes | Yes
Weekly | No | Yes | Yes
Daily | No | Yes | Yes
Modify | No | Yes | Yes
Print | No | Yes | Yes
Export to text | No | Yes | Yes
Planner
Different priorities | No | Yes | Yes
Modify | No | Yes | Yes
Print | No | Yes | Yes
Export to text | No | Yes | Yes
Contacts | No | Yes | Yes
Export to text |  | Yes | Yes
Nutrition (cookbook) | No | Yes | Yes
Recipes with nutritional information |  | Yes | Yes
Print recipes |  | Yes | Yes
Ingredients with nutritional information |  | Yes | Yes
Daily calories counter |  | Yes | Yes
Shopping list |  | Yes | Yes
Print shopping list |  | Yes | Yes
Units conversion |  | Yes | Yes
Graph
Fully customizable style for each parameter | No | Yes | Yes
Choose which parameters to plot | Yes | Yes | Yes
Zoom | No | Yes | Yes
Print | No | Yes | Yes
Save to file | No | Yes | Yes
Save to clipboard | No | Yes | Yes
Tools
Change password | Yes | Yes | Yes
Convert from previous version | Yes | Yes | Yes
Backup | No | Yes | Yes
Compact entries database | No | Yes | Yes
Miscellaneous
Open last diary at startup (if configured) | Yes | Yes | Yes
Minimize to taskbar or tray | No | Yes | Yes
Load at Windows startup (if configured) | No | Yes | Yes
Minimize on load (if configured) | No | Yes | Yes
Always on top (if configured) | No | Yes | Yes
Startup and go to any section | No | Yes | Yes
Exit or minimize when closed | No | Yes | Yes
Delete confirmation | No | Yes | Yes
Changeable interfaces (skins) | No | Yes | Yes
Random skin at startup | No | Yes | Yes
Skin creator | No | Yes | Yes
Shortcuts to insert predefined text in any location | No | Yes | Yes
Customizable printer fonts | Yes | Yes | Yes